import { shallowMount } from '@vue/test-utils';
import Vue from 'vue'
import AsbCheckBox from '@/components/actions/AsbCheckBox.vue';

describe('AsbCheckBox.vue', () => {
  // Inspect the raw component options
  it('has a created hook', () => {
    expect(typeof AsbCheckBox).toBe('function')
  })
// helper function that mounts and returns the rendered text
function getRenderedText (Component:any, propsData:any) {
  const Constructor = Vue.extend(Component)
  const vm = new Constructor({ propsData: propsData }).$mount()
  return vm.$el.textContent
}

describe('AsbCheckBox', () => {
  it('renders correctly with different props', () => {
    expect(getRenderedText(AsbCheckBox, {
      label: 'label'
    })).toMatch('label')

    expect(getRenderedText(AsbCheckBox, {
      checked: true
    })).toBe(true)
  })
})
});